import { FieldTypeEnum } from '@genesislcap/foundation-comms';
import { formatTimestamp } from '@genesislcap/foundation-utils';
export const extractFields = (fields) => fields === null || fields === void 0 ? void 0 : fields.split(' ').filter((n) => n);
export const getFormattedDateGroupBy = (groupByFieldValue, fieldType, showTime) => {
    if (typeof groupByFieldValue !== 'number') {
        return groupByFieldValue;
    }
    return formatTimestamp(groupByFieldValue, fieldType === FieldTypeEnum.DATETIME && showTime);
};
export const getReduced = (allRows, groupByField, valueField, seriesField) => {
    return allRows.reduce((acc, cur) => {
        const found = acc.find((elem) => {
            if (seriesField) {
                return elem[groupByField] === cur[groupByField] && elem[seriesField] === cur[seriesField];
            }
            return elem[groupByField] === cur[groupByField];
        });
        if (found)
            found[valueField] += cur[valueField];
        else
            cur[groupByField] && acc.push(cur);
        return acc;
    }, []);
};
