import { Line } from '@antv/g2plot';
import { chartsGradients } from '../settings';
export const LineChart = (container, config) => {
    const configuration = config;
    configuration.smooth || (configuration.smooth = true);
    configuration.color || (configuration.color = chartsGradients.rapidBlue);
    configuration.area || (configuration.area = {
        style: {
            fillOpacity: 0.15,
        },
    });
    configuration.lineStyle || (configuration.lineStyle = {
        lineWidth: 5,
    });
    configuration.point || (configuration.point = {
        size: 6,
        shape: 'circle',
        style: {
            fill: 'white',
            stroke: '#5B8FF9',
            lineWidth: 2,
        },
    });
    return new Line(container, configuration);
};
