import { Mix } from '@antv/g2plot';
import { PrimaryRapidColorHEX } from '@genesislcap/foundation-zero';
import { chartsGradients } from '../settings';
export const MixChart = (container, config) => {
    const configuration = config;
    let index = 0;
    configuration.plots.forEach((plot) => {
        var _a, _b, _c, _d;
        if (plot.type == 'area') {
            (_a = plot.options).areaStyle || (_a.areaStyle = {
                fill: `l(270) 0:rgba(0, 0, 0, 0) 0.5:${PrimaryRapidColorHEX.purple} 1:${PrimaryRapidColorHEX.blue}`,
                lineWidth: 5,
            });
        }
        if (plot.type == 'column') {
            (_b = plot.options).color || (_b.color = chartsGradients.rapidBlue);
            plot.options.shape = 'rapid-shape';
        }
        if (plot.type == 'bar') {
            (_c = plot.options).color || (_c.color = Object.values(chartsGradients));
            plot.options.shape = 'rapid-shape';
        }
        if (plot.type == 'line') {
            (_d = plot.options).color || (_d.color = Object.values(chartsGradients)[index]);
            index = index + 1;
        }
    });
    configuration.color || (configuration.color = chartsGradients.rapidBlue);
    configuration.shape = 'rapid-shape';
    return new Mix(container, configuration);
};
